{% extends 'base.html' %}
{% load static %}
{% block meta %}

<style>
    a {
        color: white;
    }
    a:hover {
        text-decoration: underline;
        font-weight: bold;
        color: white;
    }
    body {
        display: flex;
        justify-content: center;
    }
    h1 {
        text-align: center;
        font-weight: bold;
        font-size: 48px;
    }
    table {
        background-color: white;
        border-radius: 12px;
        position: relative;
        top: 100px;
        table-layout: fixed;
        border-collapse: collapse;
        width: 100%;
        font-size: 20px;   
        overflow: hidden;
        margin-bottom: 48px;
    }
    td {
        vertical-align: top;
    }
    th {
        padding-left: 20px;
    }
    th.comment {
        text-align: center;
        padding: 0;
    }
    thead {
        font-size: 24px;
        color: white;
        background-color: #811112;
        height: 48px;
    }
    tbody:before {
        content: "-";
        display: block;
        line-height: 1em;
        color: transparent;
    }
    ul,ol {
        padding-right: 24px;
    }
    .title {
        position: fixed;
        left: 0%;
        top: 68px;
        padding: 10px;
        z-index: 500;
        width: 100%;
        background-color: white;
        color: #811112;
    }
    .container {
        position: absolute;
        top: 250px;
        width: 100%;
    }
    .image {
        height: 400px;
        width: auto;
        border-top-left-radius: 12px;
        border-bottom-left-radius: 12px;
    }
    .fact-container {
        float:right;
        width: 300px;
        background-color: #811112;
        padding-top: 130px;
        padding-left: 15px;
        border-top-right-radius: 12px;
        border-bottom-right-radius: 12px;
    }
    .fact {
        color: white;
        font-size: 22px;
    }
    .thumb {
        position: relative;
        display: flex;
        justify-content: center;
    }
</style>
    <title>Recipe Detail</title>
    {% endblock meta %}
    {% block content %}
    <body>
        <div class="title">
            <h1> {{ title }} </h1>
        </div>
        <div class="container">
            <div class="thumb">

                <img id="thumbnail" class="image" src="/static/img/loading.gif">
                <div class="fact-container">
                    <div class="fact">
                        Duration: <b>{{ readyInMinutes }} min </b></br>
                        Servings: <b>{{ servings }}</b></br>
                        {% if glutenFree  %}
                            Gluten Free: <b>Yes</b> </br>
                        {% else %}
                            Gluten Free: <b>No</b> </br>
                        {% endif %}
                        {% if dairyFree  %}
                            Dairy Free: <b>Yes</b> </br>
                        {% else %}
                            Dairy Free: <b>No</b> </br>
                        {% endif %}
                        {% if vegetarian %}
                            Vegetarian: <b>Yes</b> </br>
                        {% else %}
                            Vegetarian: <b>No</b> </br>
                        {% endif %}
                    </div>
    
                </div>
            </div>
            <table>
                <thead>
                    <tr>
                        <th>
                            Ingredients
                        </th>
                        <th>
                            Instructions
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            {% if extendedIngredients %}
                                <ul>
                                    {% for ingredient in extendedIngredients %}
                                        <li> {{ ingredient.amount|floatformat }} {{ ingredient.unit}} <b>{{ ingredient.name }}</b></li>
                                    {% endfor %}
                                </ul>
                            {% endif %}
                        </td>
                        <td>
                            {% if analyzedInstructions.0.steps %}
                                <ol>
                                    {% for step in analyzedInstructions.0.steps %}
                                        <li> {{ step.step }} </li>
                                    {% endfor %}
                                </ol>
                            {% endif %}
                        </td>
                    </tr>
                </tbody>
            </table>
            <table>
                <thead>
                    <tr>
                        <th>
                            Comments
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            {% if comments %}
                                {% for comment in comments %}
                                    {% if comment.id_number == id_number %}
                                <ul>
                                        <li>{{ comment.name }} (Rating: {{ comment.rating }}/5)</li>
                                        <ul>
                                            <p>{{ comment.comment }}</p>
                                        </ul>
                                    </ul>
                                    {% endif %}
                                {% endfor %}
                            {% else %}
                            <ul>
                                <li>No comments yet.</li>
                            </ul>
                            {% endif %}
                        </td>
                    </tr>
                </tbody>
            </table>
            <table>
                <thead>
                    <tr>
                        <th class="comment">
                            <a href="/comment/{{ id_number }}">Add Comment</a>
                        </th>
                    </tr>
                </thead>
            </table>
        </div>
    </body>
    <script>
        var image = document.getElementById('thumbnail');
        var foodImage = document.createElement('img');

        foodImage.onload = function () {
            image.src = foodImage.src;
        };
        
        foodImage.src = "{{ image }}";
    </script>
    {% endblock content %}